diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/static/js/schema.js b/web/pgadmin/browser/server_groups/servers/databases/schemas/static/js/schema.js
index a09610ad..6d003578 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/static/js/schema.js
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/static/js/schema.js
@@ -1,7 +1,7 @@
 define('pgadmin.node.schema', [
   'sources/gettext', 'sources/url_for', 'jquery', 'underscore',
   'sources/pgadmin', 'pgadmin.browser', 'pgadmin.backform', 'pgadmin.backgrid',
-  'pgadmin.node.schema.dir/can_drop_child',
+  'sources/schema/can_drop_child',
   'pgadmin.browser.collection', 'pgadmin.browser.server.privilege',
 ], function(gettext, url_for, $, _, pgAdmin, pgBrowser, Backform, Backgrid,
 canDropChild) {
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/static/js/table.js b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/static/js/table.js
index 9a021745..4b06d375 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/static/js/table.js
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/static/js/table.js
@@ -1,9 +1,9 @@
 define('pgadmin.node.table', [
-  'pgadmin.tables.js/enable_disable_triggers',
+  'sources/table/enable_disable_triggers',
   'sources/gettext', 'sources/url_for', 'jquery', 'underscore',
   'underscore.string', 'sources/pgadmin', 'pgadmin.browser',
   'pgadmin.alertifyjs', 'pgadmin.backform', 'pgadmin.backgrid',
-  'pgadmin.tables.js/show_advanced_tab',
+  'sources/table/show_advanced_tab',
   'sources/menu/can_create',
 
   'pgadmin.browser.collection', 'pgadmin.node.column',
diff --git a/web/pgadmin/static/js/alertify/dialog_factory.js b/web/pgadmin/static/js/alertify/dialog_factory.js
index 500140b8..806f8687 100644
--- a/web/pgadmin/static/js/alertify/dialog_factory.js
+++ b/web/pgadmin/static/js/alertify/dialog_factory.js
@@ -7,8 +7,8 @@
 //
 //////////////////////////////////////////////////////////////
 
-import * as BackupDialog from '../../../tools/backup/static/js/backup_dialog_wrapper';
-import {RestoreDialogWrapper} from '../../../tools/restore/static/js/restore_dialog_wrapper';
+import * as BackupDialog from '../backup/backup_dialog_wrapper';
+import {RestoreDialogWrapper} from '../restore/restore_dialog_wrapper';
 
 export class DialogFactory {
   constructor(pgBrowser, $,
diff --git a/web/pgadmin/tools/backup/static/js/backup_dialog.js b/web/pgadmin/static/js/backup/backup_dialog.js
similarity index 90%
rename from web/pgadmin/tools/backup/static/js/backup_dialog.js
rename to web/pgadmin/static/js/backup/backup_dialog.js
index c74c376c..190367ca 100644
--- a/web/pgadmin/tools/backup/static/js/backup_dialog.js
+++ b/web/pgadmin/static/js/backup/backup_dialog.js
@@ -7,9 +7,9 @@
 //
 //////////////////////////////////////////////////////////////
 
-import gettext from '../../../../static/js/gettext';
-import Backform from '../../../../static/js/backform.pgadmin';
-import {Dialog} from '../../../../static/js/alertify/dialog';
+import gettext from '../gettext';
+import Backform from '../backform.pgadmin';
+import {Dialog} from '../alertify/dialog';
 
 export class BackupDialog extends Dialog {
   constructor(pgBrowser, $, alertify, BackupModel, backform = Backform) {
diff --git a/web/pgadmin/tools/backup/static/js/backup_dialog_wrapper.js b/web/pgadmin/static/js/backup/backup_dialog_wrapper.js
similarity index 96%
rename from web/pgadmin/tools/backup/static/js/backup_dialog_wrapper.js
rename to web/pgadmin/static/js/backup/backup_dialog_wrapper.js
index 2cebe3d1..7b6250f7 100644
--- a/web/pgadmin/tools/backup/static/js/backup_dialog_wrapper.js
+++ b/web/pgadmin/static/js/backup/backup_dialog_wrapper.js
@@ -7,12 +7,12 @@
 //
 //////////////////////////////////////////////////////////////
 
-import {getTreeNodeHierarchyFromElement} from '../../../../static/js/tree/pgadmin_tree_node';
+import {getTreeNodeHierarchyFromElement} from '../tree/pgadmin_tree_node';
 import axios from 'axios/index';
-import gettext from '../../../../static/js/gettext';
-import url_for from '../../../../static/js/url_for';
+import gettext from '../gettext';
+import url_for from '../url_for';
 import _ from 'underscore';
-import {DialogWrapper} from '../../../../static/js/alertify/dialog_wrapper';
+import {DialogWrapper} from '../alertify/dialog_wrapper';
 
 export class BackupDialogWrapper extends DialogWrapper {
   constructor(dialogContainerSelector, dialogTitle, typeOfDialog,
diff --git a/web/pgadmin/tools/backup/static/js/menu_utils.js b/web/pgadmin/static/js/backup/menu_utils.js
similarity index 89%
rename from web/pgadmin/tools/backup/static/js/menu_utils.js
rename to web/pgadmin/static/js/backup/menu_utils.js
index fdf400af..d3c1b143 100644
--- a/web/pgadmin/tools/backup/static/js/menu_utils.js
+++ b/web/pgadmin/static/js/backup/menu_utils.js
@@ -7,7 +7,7 @@
 //
 //////////////////////////////////////////////////////////////
 
-import {isProvidedDataValid} from '../../../../static/js/menu/menu_enabled';
+import {isProvidedDataValid} from '../menu/menu_enabled';
 
 export const backupSupportedNodes = [
   'database', 'schema', 'table', 'partition',
diff --git a/web/pgadmin/tools/datagrid/static/js/get_panel_title.js b/web/pgadmin/static/js/datagrid/get_panel_title.js
similarity index 90%
rename from web/pgadmin/tools/datagrid/static/js/get_panel_title.js
rename to web/pgadmin/static/js/datagrid/get_panel_title.js
index 64b3a3d2..f5a5664d 100644
--- a/web/pgadmin/tools/datagrid/static/js/get_panel_title.js
+++ b/web/pgadmin/static/js/datagrid/get_panel_title.js
@@ -7,7 +7,7 @@
 //
 //////////////////////////////////////////////////////////////
 
-import {getTreeNodeHierarchyFromIdentifier} from '../../../../static/js/tree/pgadmin_tree_node';
+import {getTreeNodeHierarchyFromIdentifier} from '../tree/pgadmin_tree_node';
 
 function getDatabaseLabel(parentData) {
   return parentData.database ? parentData.database.label
diff --git a/web/pgadmin/tools/datagrid/static/js/show_data.js b/web/pgadmin/static/js/datagrid/show_data.js
similarity index 92%
rename from web/pgadmin/tools/datagrid/static/js/show_data.js
rename to web/pgadmin/static/js/datagrid/show_data.js
index 373c97cd..b6d7c52b 100644
--- a/web/pgadmin/tools/datagrid/static/js/show_data.js
+++ b/web/pgadmin/static/js/datagrid/show_data.js
@@ -6,9 +6,9 @@
 // This software is released under the PostgreSQL Licence
 //
 //////////////////////////////////////////////////////////////
-import gettext from '../../../../static/js/gettext';
-import url_for from '../../../../static/js/url_for';
-import {getTreeNodeHierarchyFromIdentifier} from '../../../../static/js/tree/pgadmin_tree_node';
+import gettext from '../gettext';
+import url_for from '../url_for';
+import {getTreeNodeHierarchyFromIdentifier} from '../tree/pgadmin_tree_node';
 
 export function showDataGrid(
   datagrid,
diff --git a/web/pgadmin/tools/datagrid/static/js/show_query_tool.js b/web/pgadmin/static/js/datagrid/show_query_tool.js
similarity index 88%
rename from web/pgadmin/tools/datagrid/static/js/show_query_tool.js
rename to web/pgadmin/static/js/datagrid/show_query_tool.js
index 0eb12b8b..a1b4874c 100644
--- a/web/pgadmin/tools/datagrid/static/js/show_query_tool.js
+++ b/web/pgadmin/static/js/datagrid/show_query_tool.js
@@ -7,9 +7,9 @@
 //
 //////////////////////////////////////////////////////////////
 
-import gettext from '../../../../static/js/gettext';
-import url_for from '../../../../static/js/url_for';
-import {getTreeNodeHierarchyFromIdentifier} from '../../../../static/js/tree/pgadmin_tree_node';
+import gettext from '../gettext';
+import url_for from '../url_for';
+import {getTreeNodeHierarchyFromIdentifier} from '../tree/pgadmin_tree_node';
 
 function hasDatabaseInformation(parentData) {
   return parentData.database;
diff --git a/web/pgadmin/tools/grant_wizard/static/js/menu_utils.js b/web/pgadmin/static/js/grant/wizard/menu_utils.js
similarity index 100%
rename from web/pgadmin/tools/grant_wizard/static/js/menu_utils.js
rename to web/pgadmin/static/js/grant/wizard/menu_utils.js
diff --git a/web/pgadmin/tools/maintenance/static/js/menu_utils.js b/web/pgadmin/static/js/maintenance/menu_utils.js
similarity index 100%
rename from web/pgadmin/tools/maintenance/static/js/menu_utils.js
rename to web/pgadmin/static/js/maintenance/menu_utils.js
diff --git a/web/pgadmin/tools/restore/static/js/menu_utils.js b/web/pgadmin/static/js/restore/menu_utils.js
similarity index 100%
rename from web/pgadmin/tools/restore/static/js/menu_utils.js
rename to web/pgadmin/static/js/restore/menu_utils.js
diff --git a/web/pgadmin/tools/restore/static/js/restore_dialog.js b/web/pgadmin/static/js/restore/restore_dialog.js
similarity index 88%
rename from web/pgadmin/tools/restore/static/js/restore_dialog.js
rename to web/pgadmin/static/js/restore/restore_dialog.js
index 4884d901..72f89045 100644
--- a/web/pgadmin/tools/restore/static/js/restore_dialog.js
+++ b/web/pgadmin/static/js/restore/restore_dialog.js
@@ -7,10 +7,10 @@
 //
 //////////////////////////////////////////////////////////////
 
-import gettext from '../../../../static/js/gettext';
+import gettext from '../gettext';
 import {sprintf} from 'sprintf-js';
-import Backform from '../../../../static/js/backform.pgadmin';
-import {Dialog} from '../../../../static/js/alertify/dialog';
+import Backform from '../backform.pgadmin';
+import {Dialog} from '../alertify/dialog';
 
 export class RestoreDialog extends Dialog {
   constructor(pgBrowser, $, alertify, RestoreModel, backform = Backform) {
diff --git a/web/pgadmin/tools/restore/static/js/restore_dialog_wrapper.js b/web/pgadmin/static/js/restore/restore_dialog_wrapper.js
similarity index 96%
rename from web/pgadmin/tools/restore/static/js/restore_dialog_wrapper.js
rename to web/pgadmin/static/js/restore/restore_dialog_wrapper.js
index 845da7a3..13d781fb 100644
--- a/web/pgadmin/tools/restore/static/js/restore_dialog_wrapper.js
+++ b/web/pgadmin/static/js/restore/restore_dialog_wrapper.js
@@ -1,9 +1,9 @@
-import {getTreeNodeHierarchyFromElement} from '../../../../static/js/tree/pgadmin_tree_node';
+import {getTreeNodeHierarchyFromElement} from '../tree/pgadmin_tree_node';
 import axios from 'axios/index';
 import _ from 'underscore';
-import gettext from '../../../../static/js/gettext';
-import url_for from '../../../../static/js/url_for';
-import {DialogWrapper} from '../../../../static/js/alertify/dialog_wrapper';
+import gettext from '../gettext';
+import url_for from '../url_for';
+import {DialogWrapper} from '../alertify/dialog_wrapper';
 
 export class RestoreDialogWrapper extends DialogWrapper {
   constructor(dialogContainerSelector, dialogTitle, typeOfDialog,
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/static/js/can_drop_child.js b/web/pgadmin/static/js/schema/can_drop_child.js
similarity index 100%
rename from web/pgadmin/browser/server_groups/servers/databases/schemas/static/js/can_drop_child.js
rename to web/pgadmin/static/js/schema/can_drop_child.js
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/static/js/enable_disable_triggers.js b/web/pgadmin/static/js/table/enable_disable_triggers.js
similarity index 100%
rename from web/pgadmin/browser/server_groups/servers/databases/schemas/tables/static/js/enable_disable_triggers.js
rename to web/pgadmin/static/js/table/enable_disable_triggers.js
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/static/js/show_advanced_tab.js b/web/pgadmin/static/js/table/show_advanced_tab.js
similarity index 100%
rename from web/pgadmin/browser/server_groups/servers/databases/schemas/tables/static/js/show_advanced_tab.js
rename to web/pgadmin/static/js/table/show_advanced_tab.js
diff --git a/web/pgadmin/tools/backup/static/js/backup.js b/web/pgadmin/tools/backup/static/js/backup.js
index d74ed6dd..b20b7e6c 100644
--- a/web/pgadmin/tools/backup/static/js/backup.js
+++ b/web/pgadmin/tools/backup/static/js/backup.js
@@ -3,8 +3,8 @@ define([
   'sources/gettext', 'sources/url_for', 'jquery', 'underscore',
   'underscore.string', 'pgadmin.alertifyjs', 'backbone', 'pgadmin.backgrid',
   'pgadmin.backform', 'pgadmin.browser', 'sources/utils',
-  'tools/backup/static/js/menu_utils',
-  'tools/backup/static/js/backup_dialog',
+  'sources/backup/menu_utils',
+  'sources/backup/backup_dialog',
   'sources/menu/menu_enabled',
 ], function(
   gettext, url_for, $, _, S, alertify, Backbone, Backgrid, Backform, pgBrowser,
diff --git a/web/pgadmin/tools/datagrid/static/js/datagrid.js b/web/pgadmin/tools/datagrid/static/js/datagrid.js
index 520a9ce5..676f1901 100644
--- a/web/pgadmin/tools/datagrid/static/js/datagrid.js
+++ b/web/pgadmin/tools/datagrid/static/js/datagrid.js
@@ -2,9 +2,9 @@ define('pgadmin.datagrid', [
   'sources/gettext', 'sources/url_for', 'jquery', 'underscore',
   'pgadmin.alertifyjs', 'sources/pgadmin', 'bundled_codemirror',
   'sources/sqleditor_utils', 'backbone',
-  'tools/datagrid/static/js/show_data',
-  'tools/datagrid/static/js/get_panel_title',
-  'tools/datagrid/static/js/show_query_tool',
+  'sources/datagrid/show_data',
+  'sources/datagrid/get_panel_title',
+  'sources/datagrid/show_query_tool',
   'wcdocker',
 ], function(
   gettext, url_for, $, _, alertify, pgAdmin, codemirror, sqlEditorUtils,
diff --git a/web/pgadmin/tools/grant_wizard/static/js/grant_wizard.js b/web/pgadmin/tools/grant_wizard/static/js/grant_wizard.js
index cf234f1d..56eb378a 100644
--- a/web/pgadmin/tools/grant_wizard/static/js/grant_wizard.js
+++ b/web/pgadmin/tools/grant_wizard/static/js/grant_wizard.js
@@ -3,7 +3,7 @@ define([
   'sources/gettext', 'sources/url_for', 'jquery', 'underscore', 'backbone',
   'pgadmin.alertifyjs', 'pgadmin.backgrid', 'pgadmin.backform',
   'pgadmin.browser', 'pgadmin.browser.node',
-  'tools/grant_wizard/static/js/menu_utils',
+  'sources/grant/wizard/menu_utils',
   'sources/menu/menu_enabled',
 
   'backgrid.select.all',
diff --git a/web/pgadmin/tools/maintenance/static/js/maintenance.js b/web/pgadmin/tools/maintenance/static/js/maintenance.js
index 9092eb73..e6aa69e3 100644
--- a/web/pgadmin/tools/maintenance/static/js/maintenance.js
+++ b/web/pgadmin/tools/maintenance/static/js/maintenance.js
@@ -2,7 +2,7 @@ define([
   'sources/gettext', 'sources/url_for', 'jquery', 'underscore',
   'underscore.string', 'pgadmin.alertifyjs', 'sources/pgadmin', 'pgadmin.browser', 'backbone',
   'backgrid', 'backform', 'sources/utils',
-  'tools/maintenance/static/js/menu_utils',
+  'sources/maintenance/menu_utils',
   'sources/menu/menu_enabled',
   'pgadmin.backform', 'pgadmin.backgrid',
   'pgadmin.browser.node.ui',
diff --git a/web/pgadmin/tools/restore/static/js/restore.js b/web/pgadmin/tools/restore/static/js/restore.js
index eaa7a15e..b5d6913a 100644
--- a/web/pgadmin/tools/restore/static/js/restore.js
+++ b/web/pgadmin/tools/restore/static/js/restore.js
@@ -2,9 +2,9 @@ define('tools.restore', [
   'sources/gettext', 'sources/url_for', 'jquery', 'underscore', 'backbone',
   'underscore.string', 'pgadmin.alertifyjs', 'pgadmin.browser',
   'pgadmin.backgrid', 'pgadmin.backform', 'sources/utils',
-  'tools/restore/static/js/menu_utils',
+  'sources/restore/menu_utils',
   'sources/menu/menu_enabled',
-  'tools/restore/static/js/restore_dialog',
+  'sources/restore/restore_dialog',
 ], function(
   gettext, url_for, $, _, Backbone, S, alertify, pgBrowser, Backgrid, Backform,
 commonUtils, menuUtils, menuEnabled, restoreDialog
diff --git a/web/regression/javascript/backup/backup_dialog_spec.js b/web/regression/javascript/backup/backup_dialog_spec.js
index 2655059d..aae18eeb 100644
--- a/web/regression/javascript/backup/backup_dialog_spec.js
+++ b/web/regression/javascript/backup/backup_dialog_spec.js
@@ -6,7 +6,7 @@
 // This software is released under the PostgreSQL Licence
 //
 //////////////////////////////////////////////////////////////
-import {BackupDialog} from '../../../pgadmin/tools/backup/static/js/backup_dialog';
+import {BackupDialog} from '../../../pgadmin/static/js/backup/backup_dialog';
 import {TreeFake} from '../tree/tree_fake';
 
 const context = describe;
diff --git a/web/regression/javascript/backup/backup_dialog_wrapper_spec.js b/web/regression/javascript/backup/backup_dialog_wrapper_spec.js
index 58705318..73e453e5 100644
--- a/web/regression/javascript/backup/backup_dialog_wrapper_spec.js
+++ b/web/regression/javascript/backup/backup_dialog_wrapper_spec.js
@@ -1,5 +1,5 @@
 import {TreeFake} from '../tree/tree_fake';
-import {BackupDialogWrapper} from '../../../pgadmin/tools/backup/static/js/backup_dialog_wrapper';
+import {BackupDialogWrapper} from '../../../pgadmin/static/js/backup/backup_dialog_wrapper';
 import axios from 'axios/index';
 import MockAdapter from 'axios-mock-adapter';
 import {FakeModel} from '../fake_model';
diff --git a/web/regression/javascript/backup/global_server_backup_dialog_spec.js b/web/regression/javascript/backup/global_server_backup_dialog_spec.js
index 86df672e..67cca9db 100644
--- a/web/regression/javascript/backup/global_server_backup_dialog_spec.js
+++ b/web/regression/javascript/backup/global_server_backup_dialog_spec.js
@@ -6,7 +6,7 @@
 // This software is released under the PostgreSQL Licence
 //
 //////////////////////////////////////////////////////////////
-import {BackupDialog} from '../../../pgadmin/tools/backup/static/js/backup_dialog';
+import {BackupDialog} from '../../../pgadmin/static/js/backup/backup_dialog';
 import {TreeFake} from '../tree/tree_fake';
 
 const context = describe;
diff --git a/web/regression/javascript/backup/menu_utils_spec.js b/web/regression/javascript/backup/menu_utils_spec.js
index 9435d699..ecf8abcd 100644
--- a/web/regression/javascript/backup/menu_utils_spec.js
+++ b/web/regression/javascript/backup/menu_utils_spec.js
@@ -8,7 +8,7 @@
 //////////////////////////////////////////////////////////////
 
 
-import {menuEnabledServer} from '../../../pgadmin/tools/backup/static/js/menu_utils';
+import {menuEnabledServer} from '../../../pgadmin/static/js/backup/menu_utils';
 
 const context = describe;
 
diff --git a/web/regression/javascript/browser/server_groups/servers/databases/schemas/tables/show_advanced_tab_spec.js b/web/regression/javascript/browser/server_groups/servers/databases/schemas/tables/show_advanced_tab_spec.js
index f9559a41..4b3811aa 100644
--- a/web/regression/javascript/browser/server_groups/servers/databases/schemas/tables/show_advanced_tab_spec.js
+++ b/web/regression/javascript/browser/server_groups/servers/databases/schemas/tables/show_advanced_tab_spec.js
@@ -7,7 +7,7 @@
 //
 //////////////////////////////////////////////////////////////
 
-import {show_advanced_tab} from '../../../../../../../../pgadmin/browser/server_groups/servers/databases/schemas/tables/static/js/show_advanced_tab';
+import {show_advanced_tab} from '../../../../../../../../pgadmin/static/js/table/show_advanced_tab';
 
 describe('#show_advanced_tab', () => {
   let tableModel;
diff --git a/web/regression/javascript/datagrid/get_panel_title_spec.js b/web/regression/javascript/datagrid/get_panel_title_spec.js
index 8a344a84..2594ec96 100644
--- a/web/regression/javascript/datagrid/get_panel_title_spec.js
+++ b/web/regression/javascript/datagrid/get_panel_title_spec.js
@@ -7,7 +7,7 @@
 //
 //////////////////////////////////////////////////////////////
 
-import {getPanelTitle} from '../../../pgadmin/tools/datagrid/static/js/get_panel_title';
+import {getPanelTitle} from '../../../pgadmin/static/js/datagrid/get_panel_title';
 import {TreeFake} from '../tree/tree_fake';
 import {TreeNode} from '../../../pgadmin/static/js/tree/tree';
 
diff --git a/web/regression/javascript/datagrid/show_data_spec.js b/web/regression/javascript/datagrid/show_data_spec.js
index 80d25eb3..3e4feec9 100644
--- a/web/regression/javascript/datagrid/show_data_spec.js
+++ b/web/regression/javascript/datagrid/show_data_spec.js
@@ -7,7 +7,7 @@
 //
 //////////////////////////////////////////////////////////////
 
-import {showDataGrid} from '../../../pgadmin/tools/datagrid/static/js/show_data';
+import {showDataGrid} from '../../../pgadmin/static/js/datagrid/show_data';
 import {TreeFake} from '../tree/tree_fake';
 import {TreeNode} from '../../../pgadmin/static/js/tree/tree';
 
diff --git a/web/regression/javascript/datagrid/show_query_tool_spec.js b/web/regression/javascript/datagrid/show_query_tool_spec.js
index 66bd37ce..e58112c0 100644
--- a/web/regression/javascript/datagrid/show_query_tool_spec.js
+++ b/web/regression/javascript/datagrid/show_query_tool_spec.js
@@ -8,7 +8,7 @@
 //////////////////////////////////////////////////////////////
 
 import {TreeFake} from '../tree/tree_fake';
-import {showQueryTool} from '../../../pgadmin/tools/datagrid/static/js/show_query_tool';
+import {showQueryTool} from '../../../pgadmin/static/js/datagrid/show_query_tool';
 import {TreeNode} from '../../../pgadmin/static/js/tree/tree';
 
 const context = describe;
diff --git a/web/regression/javascript/restore/restore_dialog_spec.js b/web/regression/javascript/restore/restore_dialog_spec.js
index 156f56bb..b4fc1358 100644
--- a/web/regression/javascript/restore/restore_dialog_spec.js
+++ b/web/regression/javascript/restore/restore_dialog_spec.js
@@ -7,7 +7,7 @@
 //
 //////////////////////////////////////////////////////////////
 import {TreeFake} from '../tree/tree_fake';
-import {RestoreDialog} from '../../../pgadmin/tools/restore/static/js/restore_dialog';
+import {RestoreDialog} from '../../../pgadmin/static/js/restore/restore_dialog';
 
 const context = describe;
 
diff --git a/web/regression/javascript/restore/restore_dialog_wrapper_spec.js b/web/regression/javascript/restore/restore_dialog_wrapper_spec.js
index c2a31d55..84de8e62 100644
--- a/web/regression/javascript/restore/restore_dialog_wrapper_spec.js
+++ b/web/regression/javascript/restore/restore_dialog_wrapper_spec.js
@@ -7,7 +7,7 @@
 //
 //////////////////////////////////////////////////////////////
 import {TreeFake} from '../tree/tree_fake';
-import {RestoreDialogWrapper} from '../../../pgadmin/tools/restore/static/js/restore_dialog_wrapper';
+import {RestoreDialogWrapper} from '../../../pgadmin/static/js/restore/restore_dialog_wrapper';
 import MockAdapter from 'axios-mock-adapter';
 import axios from 'axios/index';
 import {FakeModel} from '../fake_model';
diff --git a/web/regression/javascript/schema/can_drop_child_spec.js b/web/regression/javascript/schema/can_drop_child_spec.js
index 4403b274..388dffbc 100644
--- a/web/regression/javascript/schema/can_drop_child_spec.js
+++ b/web/regression/javascript/schema/can_drop_child_spec.js
@@ -7,7 +7,7 @@
 //
 //////////////////////////////////////////////////////////////
 
-import {canDropChild} from '../../../pgadmin/browser/server_groups/servers/databases/schemas/static/js/can_drop_child';
+import {canDropChild} from '../../../pgadmin/static/js/schema/can_drop_child';
 import {TreeFake} from '../tree/tree_fake';
 
 let context = describe;
diff --git a/web/regression/javascript/table/enable_disable_triggers_spec.js b/web/regression/javascript/table/enable_disable_triggers_spec.js
index 7bdd284e..767c78a4 100644
--- a/web/regression/javascript/table/enable_disable_triggers_spec.js
+++ b/web/regression/javascript/table/enable_disable_triggers_spec.js
@@ -12,7 +12,7 @@ import axios from 'axios/index';
 import {
   enableTriggers,
   disableTriggers,
-} from '../../../pgadmin/browser/server_groups/servers/databases/schemas/tables/static/js/enable_disable_triggers';
+} from '../../../pgadmin/static/js/table/enable_disable_triggers';
 import {TreeFake} from '../tree/tree_fake';
 import {TreeNode} from '../../../pgadmin/static/js/tree/tree';
 
-- 
2.16.2

